/** \mainpage Driver Overview
  *
  * \section section_drv_info Driver Information
  * This Sensor Controller Interface driver has been generated by the Texas Instruments Sensor Controller
  * Studio tool:
  * - <b>Project name</b>:     LMT70A
  * - <b>Project file</b>:     C:/TI/TI_Products/METERING_BU/2015_Milen/TIDA-00838/Firmware/TIDA-00838_Firmware/TIDA838_RTOS/wmbus/lmt70/lmt70.scp
  * - <b>Code prefix</b>:      -
  * - <b>Operating system</b>: TI-RTOS
  * - <b>Tool version</b>:     1.1.0.38192
  * - <b>Target chip</b>:      CC1350, revision -, package QFN48 7x7 RGZ
  * - <b>Created</b>:          2015-12-11 10:39:29.568
  * - <b>Computer</b>:         CNFR-LP-2378
  * - <b>User</b>:             a0797195
  *
  * Do not edit the generated source code files other than temporarily for debug purposes. Any
  * modifications will be overwritten by the Sensor Controller Studio when generating new output.
  *
  * \section section_drv_modules Driver Modules
  * The driver is divided into three modules:
  * - \ref module_scif_generic_interface, providing the API for:
  *     - Initializing and uninitializing the driver
  *     - Task control (for starting, stopping and executing Sensor Controller tasks)
  *     - Task data exchange (for producing input data to and consume output data from Sensor Controller
  *       tasks)
  * - \ref module_scif_driver_setup, containing:
  *     - The AUX RAM image (i.e. Sensor Controller code and data)
  *     - I/O mapping information
  *     - Task data structure information
  *     - Driver setup data, to be used in the driver initialization
  *     - Project-specific functionality
  * - \ref module_scif_osal, for flexible OS support:
  *     - Interfaces with the selected operating system
  *
  * It is possible to use output from multiple Sensor Controller Studio projects in one application. Only
  * one driver setup may be active at a time, but it is possible to switch between these setups. When
  * using this option, there is one instance of the \ref module_scif_generic_interface and
  * \ref module_scif_osal modules, and multiple instances of the \ref module_scif_driver_setup module.
  * This requires that:
  * - The outputs must be generated using the same version of Sensor Controller Studio
  * - The outputs must use the same operating system
  * - The outputs must use different source code prefixes (inserted into all globals of the
  *   \ref module_scif_driver_setup)
  *
  *
  * \section section_project_info Project Description
  * lmt70 control using ALS sensor as an example
  *
  *
  * \subsection section_io_mapping I/O Mapping
  * Task I/O functions are mapped to the following pins:
  * - lmt70PowerRead:
  *     - <b>A: Temp sensor to CC13xx ADC</b>: DIO23
  *     - <b>A: Second LMT70 Temp sensor for room meas</b>: DIO26
  *     - <b>O: Enable and PowerON for CMOS Sensor1</b>: DIO25
  *     - <b>O: Enable and PowerOn for 2nd LMT70 sensor</b>: DIO27
  *
  *
  * \section section_task_info Task Description(s)
  * This driver supports the following task(s):
  *
  *
  * \subsection section_task_desc_lmt70power_read lmt70PowerRead
  * No description entered
  *
  */




/** \addtogroup module_scif_driver_setup Driver Setup
  *
  * \section section_driver_setup_overview Overview
  *
  * This driver setup instance has been generated for:
  * - <b>Project name</b>:     LMT70A
  * - <b>Code prefix</b>:      -
  *
  * The driver setup module contains the generated output from the Sensor Controller Studio project:
  * - Location of task control and scheduling data structures in AUX RAM
  * - The AUX RAM image, and the size the image
  * - Task data structure information (location, size and buffer count)
  * - I/O pin mapping translation table
  * - Task resource initialization and uninitialization functions
  *
  * @{
  */
#ifndef SCIF_H
#define SCIF_H

#include <stdint.h>
#include <stdbool.h>
#include "scif_framework.h"
#include "scif_osal_tirtos.h"


/// Number of tasks implemented by this driver
#define SCIF_TASK_COUNT 1

/// lmt70PowerRead: Task ID
#define SCIF_LMT70POWER_READ_TASK_ID 0


/// lmt70PowerRead I/O mapping: Temp sensor to CC13xx ADC
#define SCIF_LMT70POWER_READ_DIO_A_LMT70_INP1 23
/// lmt70PowerRead I/O mapping: Second LMT70 Temp sensor for room meas
#define SCIF_LMT70POWER_READ_DIO_A_LMT70_INP2 26
/// lmt70PowerRead I/O mapping: Enable and PowerON for CMOS Sensor1
#define SCIF_LMT70POWER_READ_DIO_O_LMT70_ON1 25
/// lmt70PowerRead I/O mapping: Enable and PowerOn for 2nd LMT70 sensor
#define SCIF_LMT70POWER_READ_DIO_O_LMT70_ON2 27


// All shared data structures in AUX RAM need to be packed
#pragma pack(push, 2)


/// lmt70PowerRead: Task output data structure
typedef struct {
    uint16_t adcVal1; ///< Reading for LMT70_1 sensor
    uint16_t adcVal2; ///< Reading for 2nd LMT70_2 sensor
} SCIF_LMT70POWER_READ_OUTPUT_T;


/// Sensor Controller task data (configuration, input buffer(s), output buffer(s) and internal state)
typedef struct {
    struct {
        SCIF_LMT70POWER_READ_OUTPUT_T output;
    } lmt70powerRead;
} SCIF_TASK_DATA_T;

/// Sensor Controller task generic control (located in AUX RAM)
#define scifTaskData    (*((volatile SCIF_TASK_DATA_T*) 0x400E00E6))


// Initialized internal driver data, to be used in the call to \ref scifInit()
extern const SCIF_DATA_T scifDriverSetup;


// Restore previous struct packing setting
#pragma pack(pop)


// RTC-based tick generation control
void scifStartRtcTicks(uint32_t tickStart, uint32_t tickPeriod);
void scifStartRtcTicksNow(uint32_t tickPeriod);
void scifStopRtcTicks(void);


#endif
//@}
